MeCab

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Typedefs | Functions
MeCab Namespace Reference

## Classes
class | Lattice
| Lattice class. More...
class | Model
| Model class. More...
class | Tagger
| Tagger class. More...
## Typedefs
typedef struct mecab_dictionary_info_t | DictionaryInfo
typedef struct mecab_path_t | Path
typedef struct mecab_node_t | Node
## Functions
MECAB_DLL_EXTERN Lattice * | createLattice ()
| Alias of Lattice::create()
MECAB_DLL_EXTERN Model * | createModel (int argc, char **argv)
| Alias of Mode::create(argc, argv)
MECAB_DLL_EXTERN Model * | createModel (const char *arg)
| Alias of Mode::create(arg)
MECAB_DLL_EXTERN Tagger * | createTagger (int argc, char **argv)
| Alias of Tagger::create(argc, argv)
MECAB_DLL_EXTERN Tagger * | createTagger (const char *arg)
| Alias of Tagger::create(arg)
MECAB_DLL_EXTERN void | deleteLattice (Lattice *lattice)
| delete Lattice object.
MECAB_DLL_EXTERN void | deleteModel (Model *model)
| delete Model object.
MECAB_DLL_EXTERN void | deleteTagger (Tagger *tagger)
| delete Tagger object.
MECAB_DLL_EXTERN const char * | getLastError ()
| Return last error string.
MECAB_DLL_EXTERN const char * | getTaggerError ()
| An alias of getLastError.

## Typedef Documentation

typedef struct mecab_dictionary_info_t MeCab::DictionaryInfo

typedef struct mecab_node_t MeCab::Node

typedef struct mecab_path_t MeCab::Path

## Function Documentation

MECAB_DLL_EXTERN Lattice* MeCab::createLattice | ( |  | ) |

Alias of Lattice::create()

MECAB_DLL_EXTERN Model* MeCab::createModel | ( | int | argc,
|  | char ** | argv
| ) |  |

Alias of Mode::create(argc, argv)

MECAB_DLL_EXTERN Model* MeCab::createModel | ( | const char * | arg | ) |

Alias of Mode::create(arg)

MECAB_DLL_EXTERN Tagger* MeCab::createTagger | ( | int | argc,
|  | char ** | argv
| ) |  |

Alias of Tagger::create(argc, argv)

MECAB_DLL_EXTERN Tagger* MeCab::createTagger | ( | const char * | arg | ) |

Alias of Tagger::create(arg)

MECAB_DLL_EXTERN void MeCab::deleteLattice | ( | Lattice * | lattice | ) |

delete Lattice object.

This method calles "delete lattice". In some environment, e.g., MS-Windows, an object allocated inside a DLL must be deleted in the same DLL too.

Parameters:

  lattice | lattice object

MECAB_DLL_EXTERN void MeCab::deleteModel | ( | Model * | model | ) |

delete Model object.

This method calles "delete model". In some environment, e.g., MS-Windows, an object allocated inside a DLL must be deleted in the same DLL too.

Parameters:

  model | model object

MECAB_DLL_EXTERN void MeCab::deleteTagger | ( | Tagger * | tagger | ) |

delete Tagger object.

This method calles "delete tagger". In some environment, e.g., MS-Windows, an object allocated inside a DLL must be deleted in the same DLL too.

Parameters:

  tagger | tagger object

MECAB_DLL_EXTERN const char* MeCab::getLastError | ( |  | ) |

Return last error string.

Returns:
  error string

MECAB_DLL_EXTERN const char* MeCab::getTaggerError | ( |  | ) |

An alias of getLastError.

It is kept for backward compatibility.

Returns:
  error string